@import "src/styles/scss/partials/mixins";

.root {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: var(--spacing-small);
    cursor: pointer;

    @include font('body1');

    &__icon {
        width: 20px;
        height: 20px;
        border-radius: 100%;
        border: 1px solid var(--gray-300);
        display: flex;
        align-items: center;
        justify-content: center;

        svg {
            width: 20px;
            height: 20px;

            * {

                fill: var(--green-800);
            }
        }

        &__checked {
            border-color: var(--green-800)
        }
    }
}